## org.hibernate.event.spi
Interface ReplicateEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultReplicateEventListener

    public interface ReplicateEventListener

extends Serializable

Defines the contract for handling of replicate events generated from a session.

Method Summary
`void` `onReplicate(ReplicateEvent event)` Handle the given replicate event.

Method Detail

### onReplicate

    void onReplicate(ReplicateEvent event)
                     throws HibernateException

  Handle the given replicate event.

  Parameters:
    `event` - The replicate event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.